| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class LocalVarDecl

    java.lang.Object
      |
      +--Statement
            |
            +--LocalVarDecl

public class LocalVarDecl
extends Statement

Field Summary
`de.dhbwstuttgart.typeinference.Menge` | `declid`
`private java.util.Hashtable` | `parahash`
`private de.dhbwstuttgart.typeinference.Menge` | `paralist`
`private Type` | `type`

Constructor Summary
`LocalVarDecl()`

Method Summary
`void` | `check_anz(Type type, de.dhbwstuttgart.typeinference.Menge paralist, de.dhbwstuttgart.typeinference.Menge classlist)`
`void` | `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` | `get_Name()`
`void` | `is_declared(Type t, de.dhbwstuttgart.typeinference.Menge classlist)`
`void` | `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`void` | `set_DeclId(DeclId did)`
`void` | `set_ParaList(de.dhbwstuttgart.typeinference.Menge pl)`
`void` | `set_Type(Type type)`

Methods inherited from class Statement
`print_rec, print_rec, print_rec, print_rec`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### declid

    public de.dhbwstuttgart.typeinference.Menge declid

### type

    private Type type

### paralist

    private de.dhbwstuttgart.typeinference.Menge paralist

### parahash

    private java.util.Hashtable parahash

Constructor Detail

### LocalVarDecl

    public LocalVarDecl()

Method Detail

### set_Type

    public void set_Type(Type type)

### set_DeclId

    public void set_DeclId(DeclId did)

### get_Name

    public java.lang.String get_Name()

### set_ParaList

    public void set_ParaList(de.dhbwstuttgart.typeinference.Menge pl)

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                         java.util.Hashtable ch,
                         java.util.Hashtable bh,
                         boolean ext,
                         java.util.Hashtable parach,
                         java.util.Hashtable parabh)
                  throws SCStatementException

  Specified by:
    `sc_check` in class `Statement`
    `SCStatementException`

### is_declared

    public void is_declared(Type t,
                            de.dhbwstuttgart.typeinference.Menge classlist)
                     throws SCStatementException

    `SCStatementException`

### check_anz

    public void check_anz(Type type,
                          de.dhbwstuttgart.typeinference.Menge paralist,
                          de.dhbwstuttgart.typeinference.Menge classlist)
                   throws SCStatementException

    `SCStatementException`

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
    `JVMCodeException`

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD